Subject: Re: bug#52545: 29.0.50; Make org-babel-execute-buffer ignore irrelevant src blocks

From: Ihor Radchenko <[email-masked]>
Date: Fri, 24 Dec 2021 12:09:24 +0800

Rudolf Adamkovič <[email-masked]> writes:

>> So, Org cannot distinguish between language backends that are simply
>> not loaded and the ones that do not define org-babel-execute:lang.
>
> Oh, if we have this architectural limitation in place, then Org cannot
> help the user, and every user will have "explain" to Org that executing
> BibTeX makes no sense.  I guess we can then close this bug then!

Not necessarily close. As I proposed above, one way is adding a user
customisation. And we do not have to force the users adding trivial
things like bibtex. Bibtex may be one of the defaults.

Best,
Ihor